All Classes Namespaces Files Functions Variables Typedefs Enumerator Friends Macros
stan::math::promote_scalar_type< T, S > Struct Template Reference

Template metaprogram to calculate a type for converting a convertible type. More...

`#include <promote_scalar_type.hpp>`

## Public Types

typedef T | type
| The promoted type. More...

## Detailed Description

### template<typename T, typename S>
struct stan::math::promote_scalar_type< T, S >

Template metaprogram to calculate a type for converting a convertible type.

This is the base case.

Template Parameters

  T | result scalar type.
  S | input type

Definition at line 19 of file promote_scalar_type.hpp.

## Member Typedef Documentation

template<typename T, typename S>

typedef T stan::math::promote_scalar_type< T, S >::type

The promoted type.

Definition at line 23 of file promote_scalar_type.hpp.

The documentation for this struct was generated from the following file:

- stan/math/prim/scal/fun/promote_scalar_type.hpp

[ Stan Home Page ] © 2011–2015, Stan Development Team.